Merchant exercises the mandate from the Dashboard

Merchant will have to update the recurring debit details in the given format and update in the dashboard recurring mandate module.

File format

Scroll inside to view more
Field
Type
Description
Mandatory/ Optional
order.order_id
String
Unique Identifier for the order.
Mandatory
order.amount
String
This is the amount that a customer will be charged in this transaction.
Mandatory
order.currency
String
ISO string of the currency. Use INR for Indian Rupee. Among other accepted values are EUR, USD, GBP.Default value: INR
order.customer_id
String
Customer Identifier against which a mandate was created.
Mandatory
order.customer_email
String
Email address of the customer.If the backend gateway requires it, then you must send this value.
order.customer_phone
String
Mobile number or fixed line number of the customer. If the backend gateway requires it, then you must send this value.
order.description
String
Short description of the order. We send this information to the backend gateways whenever there is a provision for this.
order.return_url
String
A fully qualified URL such as http://shop.merchant.com/ to which the customer will be redirected after payment completion. This URL shouldn’t contain any query parameters. This URL takes higher precedence over the common return URL configured in your account settings.
order.product_id
String
An identifier for the product. Fits well for impulse purchase use cases.
order.billing_address_first_name
String
First name in the billing address
order.billing_address_last_name
String
Last name in the billing address
order.billing_address_line1
String
Line1 in the billing address
order.billing_address_line2
String
Line2 in the billing address
order.billing_address_line3
String
Line3 in the billing address
order.billing_address_city
String
Billing address city
order.billing_address_state
String
Billing address state
order.billing_address_country
String
Billing address country
order.billing_address_postal_code
String
Billing address postal code or zip code
order.billing_address_phone
String
Mobile or phone number in the billing address
order.billing_address_country_code_iso
String
ISO Country code. Default value: IND
order.shipping_address_first_name
String
First name in the shipping address
order.shipping_address_last_name
String
Last name in the shipping address
order.shipping_address_line1
String
Line1 in the shipping address
order.shipping_address_line2
String
Line2 in the shipping address
order.shipping_address_line3
String
Line3 in the shipping address
order.shipping_address_city
String
Shipping address city
order.shipping_address_state
String
Shipping address state
order.shipping_address_country
String
Shipping address country
order.shipping_address_postal_code
String
shipping address postal code or zip code
order.shipping_address_phone
String
Mobile or phone number in the shipping address
order.shipping_address_country_code_iso
String
ISO Country code. Default value: IND
order.udf1-10
String
merchant_id
String
Juspay merchant Id
mandate_id
String
Mandate id sent by Juspay after mandate creation
Mandatory

Last updated 2 years ago